/*  */
function flowmap_mtod_detail(path, sval, mode, ERI, dform, mutp) {
	//if (confirm(return_language_str(path, sval, '', 'CONFIRM_REAMOUNT', '')+"?")) {
	loading_create('Y');
	var url = path+'core/cw5e_ext_flow.php?sid='+sval+'&parent='+EncodeURLutf8(path)+'&mode='+mode+'&mutp='+mutp+'&act=amount&ERI='+ERI;
	var djson = (fromid_output_json(dform,'name')).replace(/'/g, "''");
	var verlen = djson.length;
	url += '&verlen='+verlen.toString();
	//console.log(djson);
	//$.ajaxSetup({ async:false });
	$.post(url, 'htmljson='+EncodeURLutf8(djson), function(msg) {
		//console.log(msg);
		var ret_msg = JSON.parse(msg);
		$(dform+" #detail_Flowmap tr").not(":eq(0)").remove();
		if (ret_msg[0].result == "false") {
			alert(ret_msg[0].message);
			loading_close('');
			return false;
		} else {
			$(dform+" .FLOWMAP_dlitab a").click();
			if (ret_msg[0].data) append_rows_1_2D(ret_msg[0].data);
			alert(return_language_str(path, sval, '', 'REAMOUNT_COMPLETE', ''));
			loading_close('');
		}
	});
	//$.ajaxSetup({ async:true });
	//}
}